#include <FCST_TEST_SUITE.h>



bool FcstTestSuite::run_tests()
{
    Test::Suite ts;
    
    //Add sub tests suites here
    ts.add(std::auto_ptr<Test::Suite>(new FcstsUnitsTestSuite));
    ts.add(std::auto_ptr<Test::Suite>(new AnalyticalAgglomerateTest));
    ts.add(std::auto_ptr<Test::Suite>(new FCSTdatabaseTest));
    ts.add(std::auto_ptr<Test::Suite>(new AgglomerateCLTest));
    ts.add(std::auto_ptr<Test::Suite>(new PlatinumTest));
    ts.add(std::auto_ptr<Test::Suite>(new SolutionVariableTest));
    ts.add(std::auto_ptr<Test::Suite>(new NafionTest));
    
    Test::TextOutput output(Test::TextOutput::Verbose);
    return ts.run(output);

} 

