//---------------------------------------------------------------------------
//
//    FCST: Fuel Cell Simulation Toolbox
//
//    Copyright (C) 2006-13 by Energy Systems Design Laboratory, University of Alberta
//
//    This software is distributed under the MIT License.
//    For more information, see the README file in /doc/LICENSE
//
//    - Class: Main program. This program is used select the appropriate application that we want to run.
//    - Description: Implementation code for the Iterator class
//    - Developers: M. Secanell, Peter Dobson and Michael Moore
//    - Id: $Id: main.cc 1354 2013-08-17 00:01:22Z secanell $
//
//---------------------------------------------------------------------------

#include "simulator_builder.h"

int main (int argc, char *argv[])
{

  SimulatorBuilder<deal_II_dimension> sb;
  sb.parse_inputs(argc, argv);
  sb.scan();
  sb.run();
  
  return 0;
}
